# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Jun 22 12:21:14 2021
# ------------------------------------------------

package:
  name: healpy
  version: 1.15.0
source:
  patches: null
  sha256: e09300a9f24e40b07f09ca7a7026d640a0478960b6ca6a5fc85052c0bb4335bf
  url: https://pypi.io/packages/source/h/healpy/healpy-1.15.0.tar.gz
build:
  number: '2'
  string: py38hcad0ea4_2
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - ca-certificates 2021.5.30 ha878542_0
    - gcc_impl_linux-64 9.3.0 h70c0ae5_19
    - gcc_linux-64 9.3.0 hf25ea35_30
    - gfortran_impl_linux-64 9.3.0 hc4a2995_19
    - gfortran_linux-64 9.3.0 hdc58fab_30
    - gxx_impl_linux-64 9.3.0 hd87eabc_19
    - gxx_linux-64 9.3.0 h3fbe746_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libgcc-devel_linux-64 9.3.0 h7864c58_19
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgfortran5 9.3.0 hff62375_19
    - libgomp 9.3.0 h2828fa1_19
    - libopenssl-static 1.1.1k h7f98852_0
    - libstdcxx-devel_linux-64 9.3.0 hb016644_19
    - libstdcxx-ng 9.3.0 h6de172a_19
    - libtool 2.4.6 h58526e2_1007
    - openssl 1.1.1k h7f98852_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - sysroot_linux-64 2.12 h77966d4_13
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - attrs 21.2.0 pyhd8ed1ab_0
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.17.1 h7f98852_1
    - ca-certificates 2021.5.30 ha878542_0
    - certifi 2021.5.30 py38h578d9bd_0
    - cfitsio 3.470 hb418390_7
    - cython 0.29.23 py38h709712a_1
    - iniconfig 1.1.1 pyh9f0ad1d_0
    - krb5 1.19.1 hcc1bbae_0
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libblas 3.9.0 9_openblas
    - libcblas 3.9.0 9_openblas
    - libcurl 7.77.0 h2574ce0_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libffi 3.3 h58526e2_2
    - libgcc-ng 9.3.0 h2828fa1_19
    - libgfortran-ng 9.3.0 hff62375_19
    - libgfortran5 9.3.0 hff62375_19
    - libgomp 9.3.0 h2828fa1_19
    - liblapack 3.9.0 9_openblas
    - libnghttp2 1.43.0 h812cca2_0
    - libopenblas 0.3.15 pthreads_h8fe5266_1
    - libssh2 1.9.0 ha56f1ee_6
    - libstdcxx-ng 9.3.0 h6de172a_19
    - more-itertools 8.8.0 pyhd8ed1ab_0
    - ncurses 6.2 h58526e2_4
    - numpy 1.16.6 py38h18fd61f_0
    - openssl 1.1.1k h7f98852_0
    - packaging 20.9 pyh44b312d_0
    - pip 21.1.2 pyhd8ed1ab_0
    - pluggy 0.13.1 py38h578d9bd_4
    - py 1.10.0 pyhd3deb0d_0
    - pyparsing 2.4.7 pyh9f0ad1d_0
    - pytest 6.2.4 py38h578d9bd_0
    - pytest-runner 5.3.1 pyhd8ed1ab_0
    - python 3.8.10 h49503c6_1_cpython
    - python_abi 3.8 1_cp38
    - readline 8.1 h46c0cb4_0
    - setuptools 49.6.0 py38h578d9bd_3
    - six 1.16.0 pyh6c4a22f_0
    - sqlite 3.36.0 h9cd32fc_0
    - tk 8.6.10 h21135ba_1
    - toml 0.10.2 pyhd8ed1ab_0
    - wheel 0.36.2 pyhd3deb0d_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
  run:
    - astropy
    - cfitsio >=3.470,<3.471.0a0
    - libgcc-ng >=9.3.0
    - libgfortran-ng
    - libgfortran5 >=9.3.0
    - libstdcxx-ng >=9.3.0
    - matplotlib-base
    - numpy >=1.16.6,<2.0a0
    - pytest-runner
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - scipy
    - six
test:
  imports:
    - healpy
    - healpy.test
  requires:
    - nose
    - pytest
about:
  dev_url: http://github.com/healpy/healpy
  doc_url: http://healpy.readthedocs.org/
  home: http://github.com/healpy
  license: GPL-2.0-only
  license_file: COPYING
  summary: Healpix tools package for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - lpsinger
    - mwcraig
    - pkgw
    - zonca
